Bug 196698 - Support lazy image and iframe loading (loading="lazy")
Summary: Support lazy image and iframe loading (loading="lazy")
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Images (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Rob Buis
URL:
Keywords: InRadar
Depends on: 200764 201460 203557 199794 199795 200662
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-08 10:39 PDT by Simon Fraser (smfr)
Modified: 2019-10-29 02:57 PDT (History)
21 users (show)

See Also:


Attachments
Patch (151.94 KB, patch)
2019-04-19 08:55 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews126 for ios-simulator-wk2 (9.26 MB, application/zip)
2019-04-19 13:25 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews113 for mac-highsierra (511.28 KB, application/zip)
2019-04-19 20:58 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews200 for win-future (7.52 MB, application/zip)
2019-04-20 09:00 PDT, Build Bot
no flags Details
Patch (151.94 KB, patch)
2019-04-21 03:44 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews126 for ios-simulator-wk2 (16.97 MB, application/zip)
2019-04-21 05:14 PDT, Build Bot
no flags Details
Patch (152.01 KB, patch)
2019-04-21 06:09 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (152.06 KB, patch)
2019-04-21 09:28 PDT, Rob Buis
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews204 for win-future (13.02 MB, application/zip)
2019-04-22 07:14 PDT, Build Bot
no flags Details
Patch (153.29 KB, patch)
2019-04-23 00:29 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (164.25 KB, patch)
2019-04-23 01:21 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (164.78 KB, patch)
2019-04-23 02:02 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (164.82 KB, patch)
2019-04-23 03:59 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews205 for win-future (13.10 MB, application/zip)
2019-04-23 08:39 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews100 for mac-highsierra (3.12 MB, application/zip)
2019-04-23 09:53 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-highsierra (3.55 MB, application/zip)
2019-04-23 10:47 PDT, Build Bot
no flags Details
Patch (165.24 KB, patch)
2019-04-23 12:23 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-highsierra (3.11 MB, application/zip)
2019-04-23 13:37 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-highsierra (3.97 MB, application/zip)
2019-04-23 14:46 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews205 for win-future (13.04 MB, application/zip)
2019-04-23 16:49 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-highsierra-wk2 (957.65 KB, application/zip)
2019-04-23 19:22 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews123 for ios-simulator-wk2 (1.20 MB, application/zip)
2019-04-23 21:07 PDT, Build Bot
no flags Details
Patch (166.45 KB, patch)
2019-04-25 09:12 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-highsierra (3.10 MB, application/zip)
2019-04-25 10:27 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-highsierra-wk2 (2.76 MB, application/zip)
2019-04-25 10:39 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-highsierra (2.95 MB, application/zip)
2019-04-25 11:07 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews202 for win-future (13.07 MB, application/zip)
2019-04-25 11:24 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (3.56 MB, application/zip)
2019-04-25 14:19 PDT, Build Bot
no flags Details
Patch (166.07 KB, patch)
2019-04-27 02:51 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-highsierra-wk2 (921.57 KB, application/zip)
2019-04-27 03:54 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews100 for mac-highsierra (1.96 MB, application/zip)
2019-04-27 03:54 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews113 for mac-highsierra (449.42 KB, application/zip)
2019-04-27 04:01 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (837.31 KB, application/zip)
2019-04-27 04:26 PDT, Build Bot
no flags Details
Patch (167.30 KB, patch)
2019-05-01 00:16 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-highsierra (3.09 MB, application/zip)
2019-05-01 01:30 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-highsierra-wk2 (2.61 MB, application/zip)
2019-05-01 01:43 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-highsierra (2.92 MB, application/zip)
2019-05-01 02:12 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (7.94 MB, application/zip)
2019-05-01 02:26 PDT, Build Bot
no flags Details
Patch (170.30 KB, patch)
2019-05-01 03:14 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-highsierra (3.11 MB, application/zip)
2019-05-01 04:30 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-highsierra (2.89 MB, application/zip)
2019-05-01 05:10 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (7.53 MB, application/zip)
2019-05-01 05:23 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews202 for win-future (12.98 MB, application/zip)
2019-05-01 05:27 PDT, Build Bot
no flags Details
Patch (171.99 KB, patch)
2019-05-01 06:29 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews204 for win-future (12.93 MB, application/zip)
2019-05-01 08:34 PDT, Build Bot
no flags Details
Patch (172.36 KB, patch)
2019-06-12 02:59 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews214 for win-future (13.52 MB, application/zip)
2019-06-12 05:08 PDT, Build Bot
no flags Details
Patch (176.41 KB, patch)
2019-06-12 07:23 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (176.42 KB, patch)
2019-06-12 09:17 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-highsierra (4.06 MB, application/zip)
2019-06-12 10:36 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-highsierra-wk2 (3.87 MB, application/zip)
2019-06-12 10:49 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-highsierra (4.00 MB, application/zip)
2019-06-12 11:47 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.85 MB, application/zip)
2019-06-12 11:47 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews214 for win-future (14.00 MB, application/zip)
2019-06-12 12:26 PDT, Build Bot
no flags Details
Patch (182.28 KB, patch)
2019-06-13 00:57 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (179.73 KB, patch)
2019-06-13 03:08 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews211 for win-future (13.90 MB, application/zip)
2019-06-13 07:19 PDT, Build Bot
no flags Details
Patch (168.98 KB, patch)
2019-08-10 05:56 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (168.33 KB, patch)
2019-08-10 10:51 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (167.42 KB, patch)
2019-08-11 01:47 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-highsierra (3.25 MB, application/zip)
2019-08-11 02:59 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-highsierra (3.03 MB, application/zip)
2019-08-11 03:42 PDT, Build Bot
no flags Details
Patch (165.40 KB, patch)
2019-08-11 04:27 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-highsierra (3.20 MB, application/zip)
2019-08-11 05:40 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-highsierra (2.99 MB, application/zip)
2019-08-11 06:23 PDT, Build Bot
no flags Details
Patch (41.14 KB, patch)
2019-08-13 06:34 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (47.72 KB, patch)
2019-08-13 08:43 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-highsierra (3.20 MB, application/zip)
2019-08-13 09:44 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-highsierra (3.12 MB, application/zip)
2019-08-13 10:27 PDT, Build Bot
no flags Details
Patch (67.93 KB, patch)
2019-08-14 00:55 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (68.09 KB, patch)
2019-08-14 06:10 PDT, Rob Buis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Radar WebKit Bug Importer 2019-04-08 10:39:59 PDT
<rdar://problem/49701250>
Comment 2 Simon Fraser (smfr) 2019-04-08 10:45:26 PDT
<rdar://problem/35457900>
Comment 3 Rob Buis 2019-04-19 08:55:19 PDT
Created attachment 367803 [details]
Patch
Comment 4 Build Bot 2019-04-19 13:25:56 PDT
Comment on attachment 367803 [details]
Patch

Attachment 367803 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11933271

Number of test failures exceeded the failure limit.
Comment 5 Build Bot 2019-04-19 13:25:58 PDT
Created attachment 367818 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 6 Build Bot 2019-04-19 20:58:37 PDT
Comment on attachment 367803 [details]
Patch

Attachment 367803 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/11937929

Number of test failures exceeded the failure limit.
Comment 7 Build Bot 2019-04-19 20:58:39 PDT
Created attachment 367871 [details]
Archive of layout-test-results from ews113 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 8 Build Bot 2019-04-20 08:59:57 PDT
Comment on attachment 367803 [details]
Patch

Attachment 367803 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/11940816

Number of test failures exceeded the failure limit.
Comment 9 Build Bot 2019-04-20 09:00:04 PDT
Created attachment 367889 [details]
Archive of layout-test-results from ews200 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews200  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 10 Rob Buis 2019-04-21 03:44:44 PDT
Created attachment 367907 [details]
Patch
Comment 11 Build Bot 2019-04-21 05:14:47 PDT
Comment on attachment 367907 [details]
Patch

Attachment 367907 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11945100

Number of test failures exceeded the failure limit.
Comment 12 Build Bot 2019-04-21 05:14:49 PDT
Created attachment 367908 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 13 Rob Buis 2019-04-21 06:09:30 PDT
Created attachment 367909 [details]
Patch
Comment 14 Rob Buis 2019-04-21 09:28:30 PDT
Created attachment 367913 [details]
Patch
Comment 15 Build Bot 2019-04-22 07:13:50 PDT
Comment on attachment 367913 [details]
Patch

Attachment 367913 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/11957801

New failing tests:
http/tests/lazyload/lazy.html
http/tests/lazyload/fixed-dimension.html
fast/filter-image/filter-image-svg.html
http/tests/lazyload/attribute.html
http/tests/images/draw-pattern-slow-load-large-image.html
http/tests/lazyload/style-dimension.html
Comment 16 Build Bot 2019-04-22 07:14:01 PDT
Created attachment 367938 [details]
Archive of layout-test-results from ews204 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews204  Port: win-future  Platform: CYGWIN_NT-6.1-2.10.0-0.325-5-3-x86_64-64bit
Comment 17 Shawn Roberts 2019-04-22 09:08:32 PDT
EWS bots are hanging after processing this patch. 

Obsoleting the Patch so bots will stop processing.
Comment 18 Rob Buis 2019-04-22 09:22:17 PDT
(In reply to Shawn Roberts from comment #17)
> EWS bots are hanging after processing this patch. 
> 
> Obsoleting the Patch so bots will stop processing.

Do you think it is due to something in the patch or just random?
Comment 19 Shawn Roberts 2019-04-22 09:27:57 PDT
(In reply to Rob Buis from comment #18)
> (In reply to Shawn Roberts from comment #17)
> > EWS bots are hanging after processing this patch. 
> > 
> > Obsoleting the Patch so bots will stop processing.
> 
> Do you think it is due to something in the patch or just random?

No I don't think this was specific to your patch. This has happened with a few other patches on a few different queues.
Comment 20 Rob Buis 2019-04-23 00:29:36 PDT
Created attachment 368017 [details]
Patch
Comment 21 Rob Buis 2019-04-23 01:21:32 PDT
Created attachment 368018 [details]
Patch
Comment 22 Rob Buis 2019-04-23 02:02:22 PDT
Created attachment 368020 [details]
Patch
Comment 23 Rob Buis 2019-04-23 03:59:30 PDT
Created attachment 368023 [details]
Patch
Comment 24 Build Bot 2019-04-23 08:39:08 PDT
Comment on attachment 368023 [details]
Patch

Attachment 368023 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/11971500

New failing tests:
http/tests/lazyload/lazy.html
http/tests/lazyload/fixed-dimension.html
fast/filter-image/filter-image-svg.html
http/tests/lazyload/attribute.html
http/tests/images/draw-pattern-slow-load-large-image.html
http/tests/lazyload/style-dimension.html
Comment 25 Build Bot 2019-04-23 08:39:20 PDT
Created attachment 368034 [details]
Archive of layout-test-results from ews205 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews205  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 26 Build Bot 2019-04-23 09:53:42 PDT
Comment on attachment 368023 [details]
Patch

Attachment 368023 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/11972346

New failing tests:
http/tests/lazyload/lazy.html
http/tests/preload/single_download_preload_headers.php
http/tests/lazyload/fixed-dimension.html
http/tests/lazyload/attribute.html
fast/filter-image/filter-image-svg.html
http/tests/lazyload/style-dimension.html
http/tests/preload/single_download_preload.html
Comment 27 Build Bot 2019-04-23 09:53:44 PDT
Created attachment 368038 [details]
Archive of layout-test-results from ews100 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 28 Build Bot 2019-04-23 10:47:52 PDT
Comment on attachment 368023 [details]
Patch

Attachment 368023 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/11972424

New failing tests:
imported/w3c/web-platform-tests/preload/single-download-preload.html
http/tests/lazyload/lazy.html
imported/w3c/web-platform-tests/html/semantics/embedded-content/the-canvas-element/toDataURL.png.complexcolours.html
http/tests/preload/single_download_preload_headers.php
imported/w3c/web-platform-tests/html/semantics/embedded-content/the-canvas-element/toDataURL.jpeg.quality.basic.html
imported/w3c/web-platform-tests/html/semantics/embedded-content/the-canvas-element/security.dataURI.html
http/tests/lazyload/fixed-dimension.html
http/tests/lazyload/attribute.html
fast/filter-image/filter-image-svg.html
imported/w3c/web-platform-tests/html/semantics/embedded-content/the-canvas-element/toDataURL.png.primarycolours.html
http/tests/lazyload/style-dimension.html
http/tests/preload/single_download_preload.html
imported/w3c/web-platform-tests/html/semantics/embedded-content/the-canvas-element/toDataURL.jpeg.alpha.html
Comment 29 Build Bot 2019-04-23 10:47:55 PDT
Created attachment 368042 [details]
Archive of layout-test-results from ews112 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 30 Rob Buis 2019-04-23 12:23:15 PDT
Created attachment 368051 [details]
Patch
Comment 31 Build Bot 2019-04-23 13:37:24 PDT
Comment on attachment 368051 [details]
Patch

Attachment 368051 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/11974565

New failing tests:
http/tests/lazyload/lazy.html
http/tests/preload/single_download_preload_headers.php
http/tests/lazyload/fixed-dimension.html
http/tests/lazyload/attribute.html
fast/filter-image/filter-image-svg.html
http/tests/lazyload/style-dimension.html
http/tests/preload/single_download_preload.html
Comment 32 Build Bot 2019-04-23 13:37:26 PDT
Created attachment 368059 [details]
Archive of layout-test-results from ews101 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 33 Build Bot 2019-04-23 14:46:37 PDT
Comment on attachment 368051 [details]
Patch

Attachment 368051 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/11974962

New failing tests:
imported/w3c/web-platform-tests/preload/single-download-preload.html
http/tests/lazyload/lazy.html
imported/w3c/web-platform-tests/html/semantics/embedded-content/the-canvas-element/toDataURL.png.complexcolours.html
http/tests/preload/single_download_preload_headers.php
imported/w3c/web-platform-tests/html/semantics/embedded-content/the-canvas-element/toDataURL.jpeg.quality.basic.html
http/tests/lazyload/fixed-dimension.html
http/tests/lazyload/attribute.html
fast/filter-image/filter-image-svg.html
imported/w3c/web-platform-tests/html/semantics/embedded-content/the-canvas-element/toDataURL.png.primarycolours.html
http/tests/lazyload/style-dimension.html
http/tests/preload/single_download_preload.html
imported/w3c/web-platform-tests/html/semantics/embedded-content/the-canvas-element/toDataURL.jpeg.alpha.html
Comment 34 Build Bot 2019-04-23 14:46:39 PDT
Created attachment 368067 [details]
Archive of layout-test-results from ews114 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 35 Build Bot 2019-04-23 16:49:24 PDT
Comment on attachment 368051 [details]
Patch

Attachment 368051 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/11976043

New failing tests:
http/tests/lazyload/lazy.html
http/tests/lazyload/fixed-dimension.html
fast/filter-image/filter-image-svg.html
http/tests/lazyload/attribute.html
http/tests/images/draw-pattern-slow-load-large-image.html
http/tests/lazyload/style-dimension.html
Comment 36 Build Bot 2019-04-23 16:49:37 PDT
Created attachment 368084 [details]
Archive of layout-test-results from ews205 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews205  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 37 Build Bot 2019-04-23 19:22:36 PDT
Comment on attachment 368051 [details]
Patch

Attachment 368051 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11978026

Number of test failures exceeded the failure limit.
Comment 38 Build Bot 2019-04-23 19:22:38 PDT
Created attachment 368103 [details]
Archive of layout-test-results from ews105 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 39 Build Bot 2019-04-23 21:07:42 PDT
Comment on attachment 368051 [details]
Patch

Attachment 368051 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11978590

Number of test failures exceeded the failure limit.
Comment 40 Build Bot 2019-04-23 21:07:44 PDT
Created attachment 368109 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 41 Rob Buis 2019-04-25 09:12:35 PDT
Created attachment 368239 [details]
Patch
Comment 42 Build Bot 2019-04-25 10:27:03 PDT
Comment on attachment 368239 [details]
Patch

Attachment 368239 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/11995739

New failing tests:
http/tests/lazyload/lazy.html
http/tests/lazyload/style-dimension.html
http/tests/lazyload/fixed-dimension.html
fast/filter-image/filter-image-svg.html
http/tests/lazyload/attribute.html
Comment 43 Build Bot 2019-04-25 10:27:09 PDT
Created attachment 368244 [details]
Archive of layout-test-results from ews100 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 44 Build Bot 2019-04-25 10:39:37 PDT
Comment on attachment 368239 [details]
Patch

Attachment 368239 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11995761

New failing tests:
http/tests/lazyload/attribute.html
fast/filter-image/filter-image-svg.html
Comment 45 Build Bot 2019-04-25 10:39:40 PDT
Created attachment 368248 [details]
Archive of layout-test-results from ews104 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 46 Build Bot 2019-04-25 11:07:39 PDT
Comment on attachment 368239 [details]
Patch

Attachment 368239 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/11995823

New failing tests:
http/tests/lazyload/lazy.html
http/tests/lazyload/style-dimension.html
http/tests/lazyload/fixed-dimension.html
fast/filter-image/filter-image-svg.html
http/tests/lazyload/attribute.html
Comment 47 Build Bot 2019-04-25 11:07:41 PDT
Created attachment 368250 [details]
Archive of layout-test-results from ews117 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 48 Build Bot 2019-04-25 11:23:49 PDT
Comment on attachment 368239 [details]
Patch

Attachment 368239 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/11995929

New failing tests:
http/tests/lazyload/lazy.html
http/tests/lazyload/style-dimension.html
http/tests/lazyload/fixed-dimension.html
fast/filter-image/filter-image-svg.html
http/tests/lazyload/attribute.html
Comment 49 Build Bot 2019-04-25 11:24:02 PDT
Created attachment 368252 [details]
Archive of layout-test-results from ews202 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews202  Port: win-future  Platform: CYGWIN_NT-6.1-2.10.0-0.325-5-3-x86_64-64bit
Comment 50 Build Bot 2019-04-25 14:19:08 PDT
Comment on attachment 368239 [details]
Patch

Attachment 368239 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11997383

New failing tests:
http/tests/lazyload/attribute.html
fast/filter-image/filter-image-svg.html
Comment 51 Build Bot 2019-04-25 14:19:10 PDT
Created attachment 368270 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 52 Rob Buis 2019-04-27 02:51:42 PDT
Created attachment 368394 [details]
Patch
Comment 53 Build Bot 2019-04-27 03:54:24 PDT
Comment on attachment 368394 [details]
Patch

Attachment 368394 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12014708

Number of test failures exceeded the failure limit.
Comment 54 Build Bot 2019-04-27 03:54:26 PDT
Created attachment 368396 [details]
Archive of layout-test-results from ews104 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 55 Build Bot 2019-04-27 03:54:51 PDT
Comment on attachment 368394 [details]
Patch

Attachment 368394 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12014721

Number of test failures exceeded the failure limit.
Comment 56 Build Bot 2019-04-27 03:54:54 PDT
Created attachment 368397 [details]
Archive of layout-test-results from ews100 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 57 Build Bot 2019-04-27 04:01:31 PDT
Comment on attachment 368394 [details]
Patch

Attachment 368394 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12014689

Number of test failures exceeded the failure limit.
Comment 58 Build Bot 2019-04-27 04:01:33 PDT
Created attachment 368398 [details]
Archive of layout-test-results from ews113 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 59 Build Bot 2019-04-27 04:26:46 PDT
Comment on attachment 368394 [details]
Patch

Attachment 368394 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12014742

Number of test failures exceeded the failure limit.
Comment 60 Build Bot 2019-04-27 04:26:48 PDT
Created attachment 368399 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.4
Comment 61 Rob Buis 2019-05-01 00:16:09 PDT
Created attachment 368651 [details]
Patch
Comment 62 Build Bot 2019-05-01 01:30:01 PDT
Comment on attachment 368651 [details]
Patch

Attachment 368651 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12049500

New failing tests:
http/tests/lazyload/lazy.html
http/tests/lazyload/style-dimension.html
http/tests/lazyload/fixed-dimension.html
fast/filter-image/filter-image-svg.html
http/tests/lazyload/attribute.html
Comment 63 Build Bot 2019-05-01 01:30:03 PDT
Created attachment 368652 [details]
Archive of layout-test-results from ews100 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 64 Build Bot 2019-05-01 01:43:47 PDT
Comment on attachment 368651 [details]
Patch

Attachment 368651 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12049534

New failing tests:
fast/filter-image/filter-image-svg.html
Comment 65 Build Bot 2019-05-01 01:43:50 PDT
Created attachment 368653 [details]
Archive of layout-test-results from ews106 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 66 Build Bot 2019-05-01 02:12:49 PDT
Comment on attachment 368651 [details]
Patch

Attachment 368651 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12049555

New failing tests:
http/tests/lazyload/lazy.html
http/tests/lazyload/style-dimension.html
http/tests/lazyload/fixed-dimension.html
fast/filter-image/filter-image-svg.html
http/tests/lazyload/attribute.html
Comment 67 Build Bot 2019-05-01 02:12:51 PDT
Created attachment 368654 [details]
Archive of layout-test-results from ews112 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 68 Build Bot 2019-05-01 02:26:09 PDT
Comment on attachment 368651 [details]
Patch

Attachment 368651 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12049577

New failing tests:
fast/filter-image/filter-image-svg.html
Comment 69 Build Bot 2019-05-01 02:26:12 PDT
Created attachment 368656 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.4
Comment 70 Rob Buis 2019-05-01 03:14:09 PDT
Created attachment 368657 [details]
Patch
Comment 71 Build Bot 2019-05-01 04:30:09 PDT
Comment on attachment 368657 [details]
Patch

Attachment 368657 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12050478

New failing tests:
imported/w3c/web-platform-tests/loading/lazyload/scroll_to_attribute_on_image.tentative.html
Comment 72 Build Bot 2019-05-01 04:30:11 PDT
Created attachment 368659 [details]
Archive of layout-test-results from ews101 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 73 Build Bot 2019-05-01 05:10:53 PDT
Comment on attachment 368657 [details]
Patch

Attachment 368657 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12050509

New failing tests:
imported/w3c/web-platform-tests/loading/lazyload/scroll_to_attribute_on_image.tentative.html
Comment 74 Build Bot 2019-05-01 05:10:56 PDT
Created attachment 368661 [details]
Archive of layout-test-results from ews112 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 75 Build Bot 2019-05-01 05:23:43 PDT
Comment on attachment 368657 [details]
Patch

Attachment 368657 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12050531

New failing tests:
http/tests/lazyload/attribute.html
Comment 76 Build Bot 2019-05-01 05:23:46 PDT
Created attachment 368663 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.4
Comment 77 Build Bot 2019-05-01 05:27:37 PDT
Comment on attachment 368657 [details]
Patch

Attachment 368657 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12050574

New failing tests:
http/tests/lazyload/fixed-dimension.html
http/tests/lazyload/attribute.html
http/tests/lazyload/style-dimension.html
Comment 78 Build Bot 2019-05-01 05:27:50 PDT
Created attachment 368665 [details]
Archive of layout-test-results from ews202 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews202  Port: win-future  Platform: CYGWIN_NT-6.1-2.10.0-0.325-5-3-x86_64-64bit
Comment 79 Rob Buis 2019-05-01 06:29:34 PDT
Created attachment 368666 [details]
Patch
Comment 80 Rob Buis 2019-05-01 06:39:29 PDT
This patch should be green now, or close. It is based on chromium's implementation, with the exception that for loading=auto or unspecified this patch will keep old loading behavior (eager) since otherwise too many tests would break.

The patch is not really for review right now as the spec is still evolving and the patch is too big. I am thinking of splitting it up like this:
- Import WPT lazy image loading tests (should be submitted to WPT first).
- Add runtime flag and DRT/test runner glue code.
- Implementation of core lazy image loading.
- CSS Background image support.
- IFrame lazy loading (not started yet).

I guess this means adding sub issues to this bug.
Comment 81 Build Bot 2019-05-01 08:34:37 PDT
Comment on attachment 368666 [details]
Patch

Attachment 368666 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12051450

New failing tests:
http/tests/lazyload/attribute.html
Comment 82 Build Bot 2019-05-01 08:34:49 PDT
Created attachment 368673 [details]
Archive of layout-test-results from ews204 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews204  Port: win-future  Platform: CYGWIN_NT-6.1-2.10.0-0.325-5-3-x86_64-64bit
Comment 83 Rob Buis 2019-06-12 02:59:43 PDT
Created attachment 371939 [details]
Patch
Comment 84 Build Bot 2019-06-12 05:08:42 PDT
Comment on attachment 371939 [details]
Patch

Attachment 371939 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12453002

New failing tests:
http/tests/lazyload/attribute.html
Comment 85 Build Bot 2019-06-12 05:08:46 PDT
Created attachment 371941 [details]
Archive of layout-test-results from ews214 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews214  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 86 Rob Buis 2019-06-12 07:23:07 PDT
Created attachment 371951 [details]
Patch
Comment 87 Build Bot 2019-06-12 07:25:55 PDT
Attachment 371951 [details] did not pass style-queue:


ERROR: Source/WebCore/loader/ImageLoader.cpp:189:  Multi line control clauses should use braces.  [whitespace/braces] [4]
Total errors found: 1 in 88 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 88 Rob Buis 2019-06-12 09:17:23 PDT
Created attachment 371967 [details]
Patch
Comment 89 Build Bot 2019-06-12 09:19:50 PDT
Attachment 371967 [details] did not pass style-queue:


ERROR: Source/WebCore/loader/ImageLoader.cpp:189:  Multi line control clauses should use braces.  [whitespace/braces] [4]
Total errors found: 1 in 88 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 90 Build Bot 2019-06-12 10:36:44 PDT
Comment on attachment 371967 [details]
Patch

Attachment 371967 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12455919

New failing tests:
fast/events/mouse-focus-imagemap.html
imported/w3c/web-platform-tests/html/semantics/document-metadata/the-base-element/base_href_empty.html
imported/w3c/web-platform-tests/html/semantics/document-metadata/the-base-element/base_href_specified.html
imported/w3c/web-platform-tests/content-security-policy/unsafe-hashes/style_attribute_allowed.html
fast/dom/beforeload/cached-image-before-load.html
http/tests/lazyload/fixed-dimension.html
accessibility/text-marker/character-offset-visible-position-conversion-hang.html
fast/hidpi/image-srcset-simple-in-variable-2x.html
http/tests/lazyload/attribute.html
imported/w3c/web-platform-tests/html/semantics/document-metadata/the-base-element/base_href_unspecified.html
http/tests/security/load-image-after-redirection-2.html
http/tests/lazyload/style-dimension.html
fast/dom/HTMLAnchorElement/anchor-ismap-crash.html
fast/images/animated-gif-webkit-transform.html
css3/filters/should-not-have-compositing-layer.html
http/tests/security/load-image-after-redirection.html
fast/css-grid-layout/grid-align-baseline.html
Comment 91 Build Bot 2019-06-12 10:36:47 PDT
Created attachment 371972 [details]
Archive of layout-test-results from ews100 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 92 Build Bot 2019-06-12 10:49:29 PDT
Comment on attachment 371967 [details]
Patch

Attachment 371967 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12455973

New failing tests:
http/tests/lazyload/lazy.html
http/tests/security/load-image-after-redirection-2.html
imported/w3c/web-platform-tests/html/semantics/document-metadata/the-base-element/base_href_empty.html
imported/w3c/web-platform-tests/html/semantics/document-metadata/the-base-element/base_href_specified.html
imported/w3c/web-platform-tests/content-security-policy/unsafe-hashes/style_attribute_allowed.html
fast/events/mouse-focus-imagemap.html
http/tests/lazyload/fixed-dimension.html
http/tests/lazyload/attribute.html
fast/hidpi/image-srcset-simple-in-variable-2x.html
accessibility/text-marker/character-offset-visible-position-conversion-hang.html
imported/w3c/web-platform-tests/html/semantics/document-metadata/the-base-element/base_href_unspecified.html
http/tests/lazyload/style-dimension.html
fast/images/animated-gif-scrolling-crash.html
fast/images/animated-gif-webkit-transform.html
css3/filters/should-not-have-compositing-layer.html
fast/dom/beforeload/cached-image-before-load.html
http/tests/security/load-image-after-redirection.html
fast/css-grid-layout/grid-align-baseline.html
Comment 93 Build Bot 2019-06-12 10:49:32 PDT
Created attachment 371974 [details]
Archive of layout-test-results from ews106 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 94 Build Bot 2019-06-12 11:47:19 PDT
Comment on attachment 371967 [details]
Patch

Attachment 371967 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12456135

New failing tests:
fast/events/mouse-focus-imagemap.html
imported/w3c/web-platform-tests/html/semantics/document-metadata/the-base-element/base_href_empty.html
imported/w3c/web-platform-tests/html/semantics/document-metadata/the-base-element/base_href_specified.html
imported/w3c/web-platform-tests/content-security-policy/unsafe-hashes/style_attribute_allowed.html
fast/dom/beforeload/cached-image-before-load.html
http/tests/lazyload/fixed-dimension.html
accessibility/text-marker/character-offset-visible-position-conversion-hang.html
fast/hidpi/image-srcset-simple-in-variable-2x.html
http/tests/lazyload/attribute.html
imported/w3c/web-platform-tests/html/semantics/document-metadata/the-base-element/base_href_unspecified.html
http/tests/security/load-image-after-redirection-2.html
http/tests/lazyload/style-dimension.html
fast/images/animated-gif-webkit-transform.html
css3/filters/should-not-have-compositing-layer.html
http/tests/security/load-image-after-redirection.html
fast/css-grid-layout/grid-align-baseline.html
Comment 95 Build Bot 2019-06-12 11:47:21 PDT
Created attachment 371978 [details]
Archive of layout-test-results from ews117 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 96 Build Bot 2019-06-12 11:47:46 PDT
Comment on attachment 371967 [details]
Patch

Attachment 371967 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12456098

New failing tests:
http/tests/lazyload/lazy.html
http/tests/security/load-image-after-redirection-2.html
imported/w3c/web-platform-tests/html/semantics/document-metadata/the-base-element/base_href_empty.html
imported/w3c/web-platform-tests/html/semantics/document-metadata/the-base-element/base_href_specified.html
imported/w3c/web-platform-tests/content-security-policy/unsafe-hashes/style_attribute_allowed.html
http/tests/lazyload/fixed-dimension.html
fast/dom/beforeload/cached-image-before-load.html
http/tests/webgl/1.0.2/origin-clean-conformance.html
accessibility/text-marker/character-offset-visible-position-conversion-hang.html
fast/hidpi/image-srcset-simple-in-variable-2x.html
imported/w3c/web-platform-tests/html/semantics/document-metadata/the-base-element/base_href_unspecified.html
http/tests/lazyload/style-dimension.html
fast/images/animated-gif-scrolling-crash.html
css3/filters/should-not-have-compositing-layer.html
http/tests/security/load-image-after-redirection.html
Comment 97 Build Bot 2019-06-12 11:47:48 PDT
Created attachment 371979 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.5
Comment 98 Build Bot 2019-06-12 12:26:26 PDT
Comment on attachment 371967 [details]
Patch

Attachment 371967 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12456468

New failing tests:
http/tests/security/load-image-after-redirection-2.html
fast/events/mouse-focus-imagemap.html
fast/dom/beforeload/cached-image-before-load.html
http/tests/lazyload/fixed-dimension.html
http/tests/lazyload/attribute.html
http/tests/lazyload/style-dimension.html
fast/dom/HTMLAnchorElement/anchor-ismap-crash.html
css3/filters/should-not-have-compositing-layer.html
http/tests/security/load-image-after-redirection.html
Comment 99 Build Bot 2019-06-12 12:26:29 PDT
Created attachment 371980 [details]
Archive of layout-test-results from ews214 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews214  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 100 Rob Buis 2019-06-13 00:57:25 PDT
Created attachment 372030 [details]
Patch
Comment 101 Rob Buis 2019-06-13 03:08:03 PDT
Created attachment 372041 [details]
Patch
Comment 102 Build Bot 2019-06-13 07:19:10 PDT
Comment on attachment 372041 [details]
Patch

Attachment 372041 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12463952

New failing tests:
http/tests/lazyload/attribute.html
Comment 103 Build Bot 2019-06-13 07:19:15 PDT
Created attachment 372050 [details]
Archive of layout-test-results from ews211 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews211  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 104 Rob Buis 2019-08-10 05:56:29 PDT
Created attachment 376011 [details]
Patch
Comment 105 Rob Buis 2019-08-10 10:51:50 PDT
Created attachment 376015 [details]
Patch
Comment 106 Rob Buis 2019-08-11 01:47:28 PDT
Created attachment 376033 [details]
Patch
Comment 107 Build Bot 2019-08-11 02:59:52 PDT
Comment on attachment 376033 [details]
Patch

Attachment 376033 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12893740

New failing tests:
imported/w3c/web-platform-tests/loading/lazyload/scroll_to_attribute_invalid_image.tentative.html
imported/w3c/web-platform-tests/loading/lazyload/scroll_to_attribute_auto_image.tentative.html
http/tests/lazyload/fixed-dimension.html
imported/w3c/web-platform-tests/loading/lazyload/scroll_to_attribute_unset_image.tentative.html
imported/w3c/web-platform-tests/loading/lazyload/attribute_off_image.tentative.html
imported/w3c/web-platform-tests/loading/lazyload/window_load_event_occurs_with_below_viewport_image.tentative.html
imported/w3c/web-platform-tests/loading/lazyload/change_attribute_to_off_image.tentative.html
Comment 108 Build Bot 2019-08-11 02:59:55 PDT
Created attachment 376034 [details]
Archive of layout-test-results from ews103 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 109 Build Bot 2019-08-11 03:42:22 PDT
Comment on attachment 376033 [details]
Patch

Attachment 376033 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12893769

New failing tests:
imported/w3c/web-platform-tests/loading/lazyload/scroll_to_attribute_invalid_image.tentative.html
imported/w3c/web-platform-tests/loading/lazyload/scroll_to_attribute_auto_image.tentative.html
http/tests/lazyload/fixed-dimension.html
imported/w3c/web-platform-tests/loading/lazyload/scroll_to_attribute_unset_image.tentative.html
imported/w3c/web-platform-tests/loading/lazyload/attribute_off_image.tentative.html
imported/w3c/web-platform-tests/loading/lazyload/window_load_event_occurs_with_below_viewport_image.tentative.html
imported/w3c/web-platform-tests/loading/lazyload/change_attribute_to_off_image.tentative.html
Comment 110 Build Bot 2019-08-11 03:42:25 PDT
Created attachment 376035 [details]
Archive of layout-test-results from ews114 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 111 Rob Buis 2019-08-11 04:27:07 PDT
Created attachment 376036 [details]
Patch
Comment 112 Build Bot 2019-08-11 05:40:44 PDT
Comment on attachment 376036 [details]
Patch

Attachment 376036 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12894196

New failing tests:
http/tests/lazyload/fixed-dimension.html
Comment 113 Build Bot 2019-08-11 05:40:47 PDT
Created attachment 376039 [details]
Archive of layout-test-results from ews100 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 114 Build Bot 2019-08-11 06:23:53 PDT
Comment on attachment 376036 [details]
Patch

Attachment 376036 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12894207

New failing tests:
http/tests/lazyload/fixed-dimension.html
Comment 115 Build Bot 2019-08-11 06:23:56 PDT
Created attachment 376040 [details]
Archive of layout-test-results from ews115 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 116 Rob Buis 2019-08-13 06:34:00 PDT
Created attachment 376158 [details]
Patch
Comment 117 Rob Buis 2019-08-13 08:43:51 PDT
Created attachment 376167 [details]
Patch
Comment 118 Build Bot 2019-08-13 09:44:52 PDT
Comment on attachment 376167 [details]
Patch

Attachment 376167 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12904837

New failing tests:
imported/w3c/web-platform-tests/loading/lazyload/image-loading-lazy.tentative.html
Comment 119 Build Bot 2019-08-13 09:44:55 PDT
Created attachment 376176 [details]
Archive of layout-test-results from ews101 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 120 Build Bot 2019-08-13 10:27:05 PDT
Comment on attachment 376167 [details]
Patch

Attachment 376167 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12904894

New failing tests:
imported/w3c/web-platform-tests/loading/lazyload/image-loading-lazy.tentative.html
Comment 121 Build Bot 2019-08-13 10:27:08 PDT
Created attachment 376180 [details]
Archive of layout-test-results from ews117 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 122 Rob Buis 2019-08-14 00:55:08 PDT
Created attachment 376246 [details]
Patch
Comment 123 Rob Buis 2019-08-14 06:10:05 PDT
Created attachment 376259 [details]
Patch